<html>
<head>
<meta charset="utf-8"/>
	<title>View</title>
	<h1>View GPU information</h1>
	
	</head>
	<body>

<h3>GPU details:</h3>
		
			Name:	<input type = "text" name = "name" value='{{search_key.key.id()}}' readonly></input>
			<br>
			Manufacturer:	<input type = "text" name = "manufacturer" value='{{search_key.manufacturer}}' readonly></input>
			<br>
			Date Issued:	<input type = "text" name = "date_issued" value='{{search_key.date_issued}}' readonly></input>
			<br>
			GeometryShader:	<input type = "text" name = "geometryShader" value='{{search_key.geometryShader}}' readonly></input>
			<br>
			TesselationShader:	<input type = "text" name = "tesselationShader" value='{{search_key.tesselationShader}}' readonly></input>
			<br>
			ShaderInt16:	<input type = "text" name = "shaderInt16" value='{{search_key.shaderInt16}}' readonly></input>
			<br>
			SparseBinding:	<input type = "text" name = "sparseBinding" value='{{search_key.sparseBinding}}' readonly></input>
			<br>
			TextureCompressionETC2:	<input type = "text" name = "textureCompressionETC2" value='{{search_key.textureCompressionETC2}}' readonly></input>
			<br>
			VertexPipelineStoresAndAtomics:	<input type = "text" name = "vertexPipelineStoresAndAtomics" value='{{search_key.vertexPipelineStoresAndAtomics}}' readonly></input>
			<br>
			<br>

			<form method = "get" action ="{{ uri_for('edit', key_id= search_key.key.id() ) }}" type= "submit">
				Click to edit this Gpu on another page
				<input type="submit" value="Edit">  </input>

			</form>


</body>
</html>
